## i-cal-enums

i-cal-enums

## Functions

const gchar * | i_cal_request_status_desc ()
gshort | i_cal_request_status_major ()
gshort | i_cal_request_status_minor ()
ICalRequestStatus | i_cal_request_status_from_num ()
gchar * | i_cal_request_status_code ()

## Types and Values

enum | ICalComponentKind
enum | ICalRequestStatus

## Description

## Functions

### i_cal_request_status_desc ()

    const gchar *
    i_cal_request_status_desc (ICalRequestStatus stat);

Returns the descriptive text for a request status.

#### Parameters

stat | The ICalRequestStatus to be translated |

#### Returns

The description of the `stat`

Since: 1.0

### i_cal_request_status_major ()

    gshort
    i_cal_request_status_major (ICalRequestStatus stat);

Returns the major number for a request status.

#### Parameters

stat | The ICalRequestStatus to be queried |

#### Returns

The major number for a request status

Since: 1.0

### i_cal_request_status_minor ()

    gshort
    i_cal_request_status_minor (ICalRequestStatus stat);

Returns the minor number for a request status.

#### Parameters

stat | The ICalRequestStatus to be queried |

#### Returns

The minor number for a request status

Since: 1.0

### i_cal_request_status_from_num ()

    ICalRequestStatus
    i_cal_request_status_from_num (gshort major,
                                   gshort minor);

Returns a request status for major/minor status numbers.

#### Parameters

major | The major number |
minor | The minor number |

#### Returns

The corresponding ICalRequestStatus

Since: 1.0

### i_cal_request_status_code ()

    gchar *
    i_cal_request_status_code (ICalRequestStatus stat);

Returns the code for a request status.

#### Parameters

stat | The ICalRequestStatus to be queried |

#### Returns

The code for a request status.

[transfer full]

Since: 1.0

## Types and Values

### enum ICalComponentKind

#### Members

I_CAL_NO_COMPONENT |  |
I_CAL_ANY_COMPONENT |  |
I_CAL_XROOT_COMPONENT |  |
I_CAL_XATTACH_COMPONENT |  |
I_CAL_VEVENT_COMPONENT |  |
I_CAL_VTODO_COMPONENT |  |
I_CAL_VJOURNAL_COMPONENT |  |
I_CAL_VCALENDAR_COMPONENT |  |
I_CAL_VAGENDA_COMPONENT |  |
I_CAL_VFREEBUSY_COMPONENT |  |
I_CAL_VALARM_COMPONENT |  |
I_CAL_XAUDIOALARM_COMPONENT |  |
I_CAL_XDISPLAYALARM_COMPONENT |  |
I_CAL_XEMAILALARM_COMPONENT |  |
I_CAL_XPROCEDUREALARM_COMPONENT |  |
I_CAL_VTIMEZONE_COMPONENT |  |
I_CAL_XSTANDARD_COMPONENT |  |
I_CAL_XDAYLIGHT_COMPONENT |  |
I_CAL_X_COMPONENT |  |
I_CAL_VSCHEDULE_COMPONENT |  |
I_CAL_VQUERY_COMPONENT |  |
I_CAL_VREPLY_COMPONENT |  |
I_CAL_VCAR_COMPONENT |  |
I_CAL_VCOMMAND_COMPONENT |  |
I_CAL_XLICINVALID_COMPONENT |  |
I_CAL_XLICMIMEPART_COMPONENT |  |
I_CAL_VAVAILABILITY_COMPONENT |  |
I_CAL_XAVAILABLE_COMPONENT |  |
I_CAL_VPOLL_COMPONENT |  |
I_CAL_VVOTER_COMPONENT |  |
I_CAL_XVOTE_COMPONENT |  |

### enum ICalRequestStatus

#### Members

I_CAL_UNKNOWN_STATUS |  |
I_CAL_2_0_SUCCESS_STATUS |  |
I_CAL_2_1_FALLBACK_STATUS |  |
I_CAL_2_2_IGPROP_STATUS |  |
I_CAL_2_3_IGPARAM_STATUS |  |
I_CAL_2_4_IGXPROP_STATUS |  |
I_CAL_2_5_IGXPARAM_STATUS |  |
I_CAL_2_6_IGCOMP_STATUS |  |
I_CAL_2_7_FORWARD_STATUS |  |
I_CAL_2_8_ONEEVENT_STATUS |  |
I_CAL_2_9_TRUNC_STATUS |  |
I_CAL_2_10_ONETODO_STATUS |  |
I_CAL_2_11_TRUNCRRULE_STATUS |  |
I_CAL_3_0_INVPROPNAME_STATUS |  |
I_CAL_3_1_INVPROPVAL_STATUS |  |
I_CAL_3_2_INVPARAM_STATUS |  |
I_CAL_3_3_INVPARAMVAL_STATUS |  |
I_CAL_3_4_INVCOMP_STATUS |  |
I_CAL_3_5_INVTIME_STATUS |  |
I_CAL_3_6_INVRULE_STATUS |  |
I_CAL_3_7_INVCU_STATUS |  |
I_CAL_3_8_NOAUTH_STATUS |  |
I_CAL_3_9_BADVERSION_STATUS |  |
I_CAL_3_10_TOOBIG_STATUS |  |
I_CAL_3_11_MISSREQCOMP_STATUS |  |
I_CAL_3_12_UNKCOMP_STATUS |  |
I_CAL_3_13_BADCOMP_STATUS |  |
I_CAL_3_14_NOCAP_STATUS |  |
I_CAL_3_15_INVCOMMAND |  |
I_CAL_4_0_BUSY_STATUS |  |
I_CAL_4_1_STORE_ACCESS_DENIED |  |
I_CAL_4_2_STORE_FAILED |  |
I_CAL_4_3_STORE_NOT_FOUND |  |
I_CAL_5_0_MAYBE_STATUS |  |
I_CAL_5_1_UNAVAIL_STATUS |  |
I_CAL_5_2_NOSERVICE_STATUS |  |
I_CAL_5_3_NOSCHED_STATUS |  |
I_CAL_6_1_CONTAINER_NOT_FOUND |  |
I_CAL_9_0_UNRECOGNIZED_COMMAND |  |